import { EventEmitter, OnDestroy, OnInit, ElementRef, Renderer2 } from '@angular/core';
import { TooltipBaseService } from '../tooltip-base/tooltip-base.service';
export declare class PopConfirmComponent implements OnInit, OnDestroy {
    private renderer;
    private tooltipBaseService;
    private elementRef;
    uiConfirm: EventEmitter<void>;
    uiCancel: EventEmitter<void>;
    isShow: boolean;
    text: string;
    referenceElement: HTMLElement;
    get x(): number;
    get y(): number;
    position: string;
    private left;
    private top;
    private scrollX;
    private scrollY;
    private unbindFn;
    constructor(renderer: Renderer2, tooltipBaseService: TooltipBaseService, elementRef: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    updatePosition(): void;
    show(): void;
    hide(): void;
    cancel(): void;
    confirm(): void;
}
